package md

type NoticeListReq struct {
	Page  string `json:"page,required"`  // 页数
	Limit string `json:"limit,required"` // 每页大小
}
type NoticeListResp struct {
	Total      int64               `json:"total"`
	SelectData []map[string]string `json:"select_data"`
	ChangeData []map[string]string `json:"change_data"`
	List       []NoticeList        `json:"list"`
}
type NoticeList struct {
	Id      string `json:"id"`
	Title   string `json:"title"`
	Content string `json:"content"`
	Type    string `json:"type"`
}
type NoticeSaveReq struct {
	Id      string `json:"id"`
	Title   string `json:"title"`
	Content string `json:"content"`
	Type    string `json:"type"`
}
type NoticeDelReq struct {
	Id []string `json:"id"`
}
type NoticePushListResp struct {
	Total        int64               `json:"total"`
	PlatformData []map[string]string `json:"platform_data"`
	TargetData   []map[string]string `json:"target_data"`
	List         []NoticePushList    `json:"list"`
}
type NoticePushList struct {
	Id            string `json:"id"`
	Title         string `json:"title"`
	Content       string `json:"content"`
	Platform      string `json:"platform"`
	Target        string `json:"target"`
	SendType      string `json:"send_type" example:"0立即推送 1定时推送"`
	SendStartTime string `json:"send_start_time" example:"如 2024-11-25 11:56:00"`
	SendEndTime   string `json:"send_end_time" example:"如 2024-11-25 11:56:00"`
	State         string `json:"state"  example:"0待发送 1发送成功"`
}
type NoticePushSaveReq struct {
	Id            string   `json:"id"`
	Title         string   `json:"title"`
	Content       string   `json:"content"`
	Platform      string   `json:"platform"`
	Target        string   `json:"target"`
	SendType      string   `json:"send_type"`
	SendStartTime string   `json:"send_start_time"`
	SendEndTime   string   `json:"send_end_time"`
	UserList      []string `json:"user_list"`
	Level         string   `json:"level"`
}

type NoticeAliyunSmsListReq struct {
	Page  string `json:"page,required"`  // 页数
	Limit string `json:"limit,required"` // 每页大小
}
type NoticeAliyunSmsListResp struct {
	Total      int64                 `json:"total"`
	SelectData []map[string]string   `json:"select_data"`
	List       []NoticeAliyunSmsList `json:"list"`
}
type NoticeAliyunSmsList struct {
	Id      string `json:"id"`
	Title   string `json:"title"`
	Content string `json:"content"`
	Type    string `json:"type"`
}
type NoticeAliyunSmsSaveReq struct {
	Id      string `json:"id"`
	Title   string `json:"title"`
	Content string `json:"content"`
	Type    string `json:"type"`
}
type NoticeAliyunSmsDelReq struct {
	Id []string `json:"id"`
}
type NoticeAliyunSmsPushListResp struct {
	Total      int64                     `json:"total"`
	TargetData []map[string]string       `json:"target_data"`
	List       []NoticeAliyunSmsPushList `json:"list"`
}
type NoticeAliyunSmsPushList struct {
	Id      string `json:"id"`
	Title   string `json:"title"`
	Content string `json:"content"`
	Target  string `json:"target"`
	State   string `json:"state"  example:"0待发送 1发送成功"`
}
type NoticeAliyunSmsPushSaveReq struct {
	Id        string   `json:"id"`
	Title     string   `json:"title"`
	Content   string   `json:"content"`
	Target    string   `json:"target"`
	PhoneList []string `json:"phone_list"`
	Level     string   `json:"level"`
}
